/*
jQuery(window).on('load', function () {
    const pais = jQuery('#pais');
    console.log('Valor de país en window.load:', pais.val());

    if (pais.val()) {
        pais.trigger('change');
    }
});
*/

jQuery(document).ready(function($) {
		//$('#idioma').trigger('change');
        $('#pais').on('change', function() {
            var codigoPais = $(this).val();
			/*
            if (!codigoPais) {
                $('#idioma').html('<select id="idioma" class="select2"><option value="">Selecciona un idioma</option></select>');
                return;
            }*/
	     jQuery.ajax({
                url:obj.ajaxurl,
                method: 'POST',
                dataType: 'json',
                data: {
					action: 'obtener_idioma_por_pais', // <- necesario
                    codigo_pais: codigoPais,
					idioma: obj.idiomaSel,
					nonce: obj.nonce
                },
            success: function(response) {
                if (response.success) {
                    const idioma = response.data.idioma;
                    const selectIdioma = $('#idioma');
                    //selectIdioma.html(`<option value="${idioma}" selected>${idioma}</option>`);
                    //selectIdioma.html(`${idioma}`);
					selectIdioma.html(idioma);
                    selectIdioma.trigger('change');
                } else {
                    console.warn('Error al obtener idioma:', response.data);
                }
            },
            error: function(xhr, status, error) {
                    console.log(xhr.responseText);  // Ver la respuesta completa
    		          //console.log(error);
                    //logMensaje(`❌ AJAX error: ${error}`, 'error');
                    console.error(`❌ AJAX error: ${error}`);
                }
        });
    });
	 $('#modo').trigger('change');
		$('#tipo').trigger('change');
		if (obj.idiomaSel) {
			$('#pais').trigger('change');
		}
});
